# Method: operations.get

- [HTTP request](https://developers.google.com/workspace/vault/reference/rest/v1/operations/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/vault/reference/rest/v1/operations/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/vault/reference/rest/v1/operations/get#body.request_body)
- [Response body](https://developers.google.com/workspace/vault/reference/rest/v1/operations/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/vault/reference/rest/v1/operations/get#body.aspect)
- [Try it!](https://developers.google.com/workspace/vault/reference/rest/v1/operations/get#try-it)

Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.

### HTTP request

`GET https://vault.googleapis.com/v1/{name=operations/**}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the operation resource. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/vault/reference/rest/v1/operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/ediscovery.readonly`
- `https://www.googleapis.com/auth/ediscovery`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).